Bug 1148401 - Qt4 removal - keepassx
Qt4 removal - keepassx
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Marcus Meissner
E-mail List
:
Depends on:
Blocks: 1148397
  Show dependency treegraph
 
Reported: 2019-08-27 16:30 UTC by Christophe Marin
Modified: 2020-04-09 18:10 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Marin 2019-08-27 16:30:57 UTC
+++ This bug was initially created as a clone of Bug #1148397 +++

Hello,

There are a couple blockers left preventing the removal of Qt4 in openSUSE Tumbleweed.

keepassx is one of them.

In the previous threads on the factory mailing list, users reported that keepassxc can replace it and has more feature.

See https://lists.opensuse.org/opensuse-factory/2019-05/msg00249.html

Can this be done? (note that keepassxc currently fails to build in factory)
Comment 1 Christophe Marin 2019-08-27 16:32:54 UTC
Adding the keepassxc maintainers to the CC list.
Comment 2 Dr. Werner Fink 2019-08-28 06:55:08 UTC
https://github.com/keepassx/keepassx ... looks like there is a Qt 5.11 with latest master ...
Comment 3 Christophe Marin 2019-09-02 14:45:22 UTC
(In reply to Dr. Werner Fink from comment #2)
> https://github.com/keepassx/keepassx ... looks like there is a Qt 5.11 with
> latest master ...

As I already wrote when I started removing Qt4 packages, I don't think using a snapshot for a "security" application is a good idea, regardless of how functional it may be.

As keepassxc is compatible, I created https://build.opensuse.org/request/show/727787 which adds Provides/Obsoletes to keepassxc, then I'll submit a delete request for keepassx. Arch, Gentoo already dropped it for the same reason: dead upstream.
Comment 4 Marcus Rückert 2019-09-03 11:53:26 UTC
JFYI: I ran this idea past the keepassxc team and they are also in favor of replacing keepassx
Comment 5 Christophe Marin 2019-09-03 15:19:04 UTC
(In reply to Marcus Rückert from comment #4)
> JFYI: I ran this idea past the keepassxc team and they are also in favor of
> replacing keepassx

Good, can you accept/forward the submit request? :)
Comment 6 Christophe Marin 2019-09-20 13:52:41 UTC
Done, keepassx is gone.
Comment 7 Swamp Workflow Management 2020-04-09 18:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1148401) was mentioned in
https://build.opensuse.org/request/show/792784 15.2 / keepassxc